Returns a full debug timeline with per-step status, timing, cost, input/output, and data flow between steps.
curl --request GET \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/debug \
--header 'Authorization: Bearer <token>'{
"data_flow": [
{
"from_step_ref": "<string>",
"to_step_ref": "<string>",
"data_size_bytes": 123
}
],
"status": "<string>",
"steps": [
{
"attempt": 123,
"duration_ms": 123,
"status": "<string>",
"step_ref": "<string>",
"step_run_id": "<string>",
"step_type": "<string>",
"cost_microusd": 123,
"depends_on": [
"<string>"
],
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"input": "<unknown>",
"job_run_id": "<string>",
"output": "<unknown>",
"started_at": "2023-11-07T05:31:56Z"
}
],
"total_cost_microusd": 123,
"total_duration_ms": 123,
"workflow_id": "<string>",
"workflow_run_id": "<string>",
"$schema": "<string>",
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"payload": "<unknown>",
"started_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
Use this file to discover all available pages before exploring further.
API key passed as Bearer token
OK
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
"https://api.strait.dev/schemas/DebugView.json"
curl --request GET \
--url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/debug \
--header 'Authorization: Bearer <token>'{
"data_flow": [
{
"from_step_ref": "<string>",
"to_step_ref": "<string>",
"data_size_bytes": 123
}
],
"status": "<string>",
"steps": [
{
"attempt": 123,
"duration_ms": 123,
"status": "<string>",
"step_ref": "<string>",
"step_run_id": "<string>",
"step_type": "<string>",
"cost_microusd": 123,
"depends_on": [
"<string>"
],
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"input": "<unknown>",
"job_run_id": "<string>",
"output": "<unknown>",
"started_at": "2023-11-07T05:31:56Z"
}
],
"total_cost_microusd": 123,
"total_duration_ms": 123,
"workflow_id": "<string>",
"workflow_run_id": "<string>",
"$schema": "<string>",
"error": "<string>",
"finished_at": "2023-11-07T05:31:56Z",
"payload": "<unknown>",
"started_at": "2023-11-07T05:31:56Z"
}